## org.jfree.data.xy
Class XYDataItem

    java.lang.Object
      org.jfree.data.xy.XYDataItem

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

    public class XYDataItem

extends java.lang.Object
implements java.lang.Cloneable, java.lang.Comparable, java.io.Serializable

Represents one (x, y) data item for an `XYSeries`.

See Also:
  Serialized Form

Constructor Summary
`XYDataItem(double x, double y)` Constructs a new data item.
`XYDataItem(java.lang.Number x, java.lang.Number y)` Constructs a new data item.

Method Summary
`java.lang.Object` `clone()` Returns a clone of this object.
`int` `compareTo(java.lang.Object o1)` Returns an integer indicating the order of this object relative to another object.
`boolean` `equals(java.lang.Object obj)` Tests if this object is equal to another.
`java.lang.Number` `getX()` Returns the x-value.
`double` `getXValue()` Returns the x-value as a double primitive.
`java.lang.Number` `getY()` Returns the y-value.
`double` `getYValue()` Returns the y-value as a double primitive.
`int` `hashCode()` Returns a hash code.
`void` `setY(double y)` Sets the y-value for this data item.
`void` `setY(java.lang.Number y)` Sets the y-value for this data item.
`java.lang.String` `toString()` Returns a string representing this instance, primarily for debugging use.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XYDataItem

    public XYDataItem(java.lang.Number x,
                      java.lang.Number y)

  Constructs a new data item.

  Parameters:
    `x` - the x-value (`null` NOT permitted).
    `y` - the y-value (`null` permitted).

### XYDataItem

    public XYDataItem(double x,
                      double y)

  Constructs a new data item.

  Parameters:
    `x` - the x-value.
    `y` - the y-value.

Method Detail

### getX

    public java.lang.Number getX()

  Returns the x-value.

  Returns:
    The x-value (never `null`).

### getXValue

    public double getXValue()

  Returns the x-value as a double primitive.

  Returns:
    The x-value.
  Since:
    1.0.9
  See Also:
    `getX()`, `getYValue()`

### getY

    public java.lang.Number getY()

  Returns the y-value.

  Returns:
    The y-value (possibly `null`).

### getYValue

    public double getYValue()

  Returns the y-value as a double primitive.

  Returns:
    The y-value.
  Since:
    1.0.9
  See Also:
    `getY()`, `getXValue()`

### setY

    public void setY(double y)

  Sets the y-value for this data item. Note that there is no corresponding method to change the x-value.

  Parameters:
    `y` - the new y-value.

### setY

    public void setY(java.lang.Number y)

  Sets the y-value for this data item. Note that there is no corresponding method to change the x-value.

  Parameters:
    `y` - the new y-value (`null` permitted).

### compareTo

    public int compareTo(java.lang.Object o1)

  Returns an integer indicating the order of this object relative to another object.

  For the order we consider only the x-value: negative == "less-than", zero == "equal", positive == "greater-than".

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `o1` - the object being compared to.
  Returns:
    An integer indicating the order of this data pair object relative to another object.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of this object.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - not thrown by this class, but subclasses may differ.

### equals

    public boolean equals(java.lang.Object obj)

  Tests if this object is equal to another.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object to test against for equality (`null` permitted).
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    A hash code.

### toString

    public java.lang.String toString()

  Returns a string representing this instance, primarily for debugging use.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string.